<?php session_start();
include("config.php");
require ('funciones.php');

$login = text($_SESSION["username"]);
$status = intval($_POST['status']);
if ($status!=0 and $status!=1 and $status!=2 and $status!=3 and $status!=4 and $status!=5 ){echo '<font color="red"><b>Не дури систему</b></font>'; exit;}

require_once('bbcode.php');
$text = bbcod($_POST["text"], true, true);

$t_id = intval($_POST['task_id']);
$reyt_rek = text($_POST['reyt_rek']);
$date = text($_POST['date']);

if(empty($status) or empty($text))
{exit("<p>Вы ввели не всю информацию!вернитесь назад и заполните все поля!<br> <input name='back' type='button' value='Вернуться назад' onclick='javascript:self.back();'></p>"); }

$result2 = mysql_query("INSERT INTO seelf_downloads_z (text,login,id_task,status,date) VALUES ('$text','$login','$t_id','$status','$date')");
$result2 = mysql_query("update seelf_downloads set reyt_rek=reyt_rek+$status where id='$t_id'");

echo"<meta http-equiv='Refresh' content='0; URL=downloads.php?action=view&id=$t_id'>";
?>